Subject: bug#63072: 28.2; CC Mode: Fix "bsd" style and add "freebsd" and "openbsd" ones

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Apr 2023 13:31:56 +0300

> From: Olivier Certner <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 26 Apr 2023 11:31:28 +0200
> 
> > > Additionally, these changes will be exceedingly rare, and styles will just
> > > be updated on a best-effort basis.
> > 
> > The "best-effort" part is what bothers me.  We introduce these new
> > styles because the relevant projects change the styles, and then we
> > basically tell users: don't expect these styles to actually follow
> > those projects, except by luck?  Does that make sense?
> 
> By luck? The last changes in these styles with a practical consequence for CC 
> mode were done more than 20 years ago. Had the changes proposed here been done 
> at that time, users would have been able to use the right style since then.
> 
> Truth is, users not having the right style would be extremely unlucky, given 
> the rate of changes (practically zero). These styles are *intended* to follow 
> these projects' practice. And they will so more than 99% of the time. Of 
> course, if a style changes and requires a CC style modification, then someone 
> will have to submit it and in the meantime users will have to live with the 
> discrepancy. Is that what really bothers you? That's what best effort means. 
> Again, this will be useful to the relevant users more than 99% of the time.

If the styles don't change in practice, then I'm okay with adding
them.  But then I wonder why you bothered to mention the fact that
they do change.